1.1
1.1
delete /v1/organization-units
Description
delete organization units
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | OrganizationUnitDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | OrganizationUnitDeleteResponse |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/organization-units
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"
Request body
{
"ids": [
"ou-c29a138f8f1d78e24dbfa8681fc2fc8"
],
"organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}
Example HTTP response
Response 200
{
"failed_ids": [
{
"error_code": "Organization.UnitNotRemovable",
"failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
"failed_id": "ou-abc1f2h1j0l9n8p7r6t5v4x3z2y1w0"
}
],
"success_ids": [
"ou-c29a138f8f1d78e24dbfa8681fc2fc8"
]
}